# 官方文档
# https://github.com/amtoaer/bili-sync
# https://hub.docker.com/r/amtoaer/bili-sync-rs
# 部署教程
# https://blog.hesuisui.top/archives/Docker-Bili-Sync
# 部署前，请先把配置文件弄好再启动启动

---
version: "3"
# 最后编辑时间：2024-04-23
services:
  bili-sync-rs:
    image: amtoaer/bili-sync-rs:latest
    # 镜像地址
    container_name: bili-sync-rs
    # 容器名字
    hostname: bili-sync-rs
    # 主机名
    volumes:
      - /volume1/docker/bili-sync-rs:/app/.config/bili-sync
      # 配置目录
      - /volume1/docker/B站收藏同步:/downloads
      # 默认下载目录
    environment:
      - TZ=Asia/Shanghai
      # 时区
    network_mode: host
    # 不存在webui，这一条网络模式仅用于不然它创建一个私有网段，强迫症而已
    restart: always
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
